Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields
Lucene::NormsWriterPerThread Class Reference

`#include <NormsWriterPerThread.h>`

Inheritance diagram for Lucene::NormsWriterPerThread:

## Public Member Functions

| NormsWriterPerThread (const DocInverterPerThreadPtr &docInverterPerThread, const NormsWriterPtr &normsWriter)
virtual | ~NormsWriterPerThread ()
virtual String | getClassName ()
boost::shared_ptr< NormsWriterPerThread > | shared_from_this ()
virtual InvertedDocEndConsumerPerFieldPtr | addField (const DocInverterPerFieldPtr &docInverterPerField, const FieldInfoPtr &fieldInfo)
virtual void | abort ()
virtual void | startDocument ()
virtual void | finishDocument ()
bool | freeRAM ()
Public Member Functions inherited from Lucene::InvertedDocEndConsumerPerThread
virtual | ~InvertedDocEndConsumerPerThread ()
boost::shared_ptr< InvertedDocEndConsumerPerThread > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::InvertedDocEndConsumerPerThread
static String | _getClassName ()

## Data Fields

NormsWriterWeakPtr | _normsWriter
DocStatePtr | docState

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

Lucene::NormsWriterPerThread::NormsWriterPerThread | ( | const DocInverterPerThreadPtr & | docInverterPerThread,
|  | const NormsWriterPtr & | normsWriter
| ) |  |

virtual Lucene::NormsWriterPerThread::~NormsWriterPerThread | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::NormsWriterPerThread::_getClassName | ( |  | ) |

inline static

virtual void Lucene::NormsWriterPerThread::abort | ( |  | ) |

virtual

Implements Lucene::InvertedDocEndConsumerPerThread.

virtual InvertedDocEndConsumerPerFieldPtr Lucene::NormsWriterPerThread::addField | ( | const DocInverterPerFieldPtr & | docInverterPerField,
|  | const FieldInfoPtr & | fieldInfo
| ) |  |

virtual

Implements Lucene::InvertedDocEndConsumerPerThread.

virtual void Lucene::NormsWriterPerThread::finishDocument | ( |  | ) |

virtual

Implements Lucene::InvertedDocEndConsumerPerThread.

bool Lucene::NormsWriterPerThread::freeRAM | ( |  | ) |

virtual String Lucene::NormsWriterPerThread::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::InvertedDocEndConsumerPerThread.

boost::shared_ptr< NormsWriterPerThread > Lucene::NormsWriterPerThread::shared_from_this | ( |  | ) |

inline

virtual void Lucene::NormsWriterPerThread::startDocument | ( |  | ) |

virtual

Implements Lucene::InvertedDocEndConsumerPerThread.

## Field Documentation

NormsWriterWeakPtr Lucene::NormsWriterPerThread::_normsWriter

DocStatePtr Lucene::NormsWriterPerThread::docState

The documentation for this class was generated from the following file:

- NormsWriterPerThread.h

clucene.sourceforge.net